<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Ks extends MY_Controller {
	
	function __construct()
	{
		parent::__construct();
		$this->load->model('bahanbaku/bahanbaku_mdl','bbmdl');
	}
	
	public function index()
	{		
		$data = array(
			'title' 	=> 	$this->title,
			'content' 	=> 	$this->pmodul.'/'.$this->pmodul,
			);		
		$this->load('tpl',$data['content'], $data);
		$this->load->view($this->pmodul.'/'.$this->pmodul.'_cjs');
		$this->load->view($this->pmodul.'/'.$this->pmodul.'_mjs');
		
	}
	
	function grid(){
		$page = isset($_POST['page']) ? intval($_POST['page']) : 1;
		$rows = isset($_POST['rows']) ? intval($_POST['rows']) : 100;	
		$key = $_REQUEST["q"];
		$dtdari = $_REQUEST["dtdari"];
		$dtsampai = $_REQUEST["dtsampai"];
		$kd_cmpy = $_REQUEST["kd_cmpy"];		
		$line = $_REQUEST["line"];
		
		$rs = $this->mdl->getAll($page,$rows,$key,$dtdari,$dtsampai,$kd_cmpy,$line);
		
		echo json_encode($rs);
	}
	
	function aksi($cmd)
	{
		ini_set('memory_limit', '-1');
		
		$page = isset($_POST['page']) ? intval($_POST['page']) : 1;
		$rows = isset($_POST['rows']) ? intval($_POST['rows']) : 9999;	
		$key = $_REQUEST["q"];
		$NmBarang = $_REQUEST["NmBarang"];
		$dtdari = $_REQUEST["dtdari"];
		$dtsampai = $_REQUEST["dtsampai"];
		$kd_cmpy = $_REQUEST["kd_cmpy"];
		$line = $_REQUEST["line"];
		
		$data = array(
			'title' => 	$this->title,
			'dtdari' => 	$dtdari,
			'dtsampai' => 	$dtsampai,
			'KdBarang' => 	$key,
			'NmBarang' => 	$NmBarang,
			'line' => 	$line,
			'row' => 	$this->bbmdl->getRow($key),			
			'rs' 	=> 	$this->mdl->getAll($page,$rows,$key,$dtdari,$dtsampai,$kd_cmpy,$line)
		);	
		
		if ($cmd=='excel'){
			$filename =$this->title.date('Ymd').".xls";
			header('Content-type: application/ms-excel');
			header('Content-Disposition: attachment; filename='.$filename);
		}
		
		$this->load->view($this->pmodul.'/print',$data);	
				
		
	}
	
}